{% extends "templates/inc/_base.twig" %}

{% block main %}

{% include 'templates/inc/_modal.twig' %}

<main class="main">
  {# Hero #}
  <section class="hero">
    <img srcset="{{ hero.bg.url|resize(768, 768 * 0.2) }} 768w,
                 {{ hero.bg.url|resize(1438, 1438 * 0.2) }} 1438w,
                 {{ hero.bg.url|resize(2876, 2786 * 0.2)  }} 2786w"
         src="{{ hero.bg.url|resize(1438, 1438 * 0.2) }}"
         class="hero__bg lazyload"
         data-sizes="auto"
         alt="{{ hero.bg.alt }}">
    <div class="container hero__body">
      <h1 class="hero__title">{{ hero.title }}</h1>
      <p class="hero__content">{{ hero.content }}</p>
      <a href="{{ hero.cta.url }}" role="button" class="btn btn--primary js-modal-open">{{ hero.cta.title }}</a>
    </div>
    <div class="container">
      <nav class="strip">
        <ul class="strip__menu list-reset">
          {% for item in menu.hero.items %}
            <li {% if item.current %}class="active"{% endif %}><a href="{{ item.link }}">
              {% if item.classes[0] == 'home' %}
                {% include 'templates/inc/icons/_icons.home.twig' ignore missing %}
              {% elseif item.classes[0] == 'blog' %}
                {% include 'templates/inc/icons/_icons.news.twig' ignore missing %}
              {% elseif item.classes[0] == 'learn' %}
                {% include 'templates/inc/icons/_icons.graduation-cap.twig' ignore missing %}
              {% elseif item.classes[0] == 'use-cases' %}
                {% include 'templates/inc/icons/_icons.lightbulb.twig' ignore missing %}
              {% endif %}
              {{ item.title }}</a></li>
          {% endfor %}
        </ul>
      </nav>
    </div>
  </section>
  {# Hero ./end #}

  {# Latest post #}
  <section class="section">
    <div class="container">
      <dl class="bar">
        <dt>{% include 'templates/inc/icons/_icons.arrow-right.twig' ignore missing %}</dt>
        <dd>{{ bar }}</dd>
      </dl>

      {% for post in latest %}
        <article class="postcard card-link">
          <div class="postcard__body">
            <a href="{{ post.link }}" class="card-link card-link--static">
              <h2 class="postcard__title">{{ post.title }}</h2>
              <p>{{ post.preview.read_more(false)|truncate(16) }}</p>
              <dl class="postcard__author">
                <dt><span>{{ function('initials', post.author) }}</span></dt>
                <dd>{{ post.author }}</dd>
              </dl>
            </a>
          </div>
          <div class="postcard__aside">
            <ul class="postcard__pills list-reset">
              {% for term in post.terms('tags') %}
                <li><a href="{{term.link}}">{{term.name}}</a></li>
              {% endfor %}
            </ul>
            <img src="{{ post.thumbnail.src|resize(750, 368) }}" alt="" class="img-responsive" width="750" height="368">
          </div>
        </article>
      {% endfor %}
    </div>
  </section>
  {# Latest post ./end #}

  {# List categories and posts #}
  <div>
    {% for category in categories %}
      <section class="section section--alternate">
        <div class="container">
          <h2>{{ category.name }}</h2>
          <div class="row row--vertical mb-4x">
            {% for post in category.posts %}
              <div class="col-xs-6 col-md-4">
                <div class="card card-link">
                  <ul class="card__pills list-reset">
                    {% for term in post.terms('tags') %}
                      <li><a href="{{term.link}}">{{term.name}}</a></li>
                    {% endfor %}
                  </ul>
                  <img srcset="{{ post.thumbnail.src|resize(360, 240) }},
                    {{ post.thumbnail.src|resize(720, 480) }} 2x"
                    src="{{ post.thumbnail.src|resize(360, 240) }}"
                    alt="{{ post.thumbnail.alt }}"
                    class="img-responsive card__img"
                    width="360"
                    height="238">
                  <a class="card-link card-link--static" href="{{ post.link }}">
                    <h4>{{ post.title }}</h4>
                    <p>{{ post.preview|truncate(12) }}</p>
                    <dl class="card__author">
                      <dt><span>{{ function('initials', post.author) }}</span></dt>
                      <dd>{{ post.author }}</dd>
                    </dl>
                  </a>
                </div>
              </div>
            {% endfor %}
          </div>
          {# If 'Guest Authors' section #}
          {% if loop.index0 == 0 %}
            <div class="row row--vertical">
              <div class="col-md-8">
                {% for quote in category.meta.quotes %}
                  <blockquote class="quote">
                    <div class="quote__body">
                      <div class="quote__icon">
                        {% include 'templates/inc/icons/_icons.quote-right.twig' ignore missing %}
                      </div>
                      <h4 class="quote__content">{{ quote.main.quote }}</h4>
                      <p class="quote__author">&ndash; {{ quote.main.author }}</p>
                    </div>
                    <div class="quote__img">
                      <img src="{{ quote.image.url|resize(112, 112) }}" alt="{{ quote.image.alt }}" class="img-responsive">
                    </div>
                  </blockquote>
                {% endfor %}
              </div>
              <div class="col-md-4 flex">
                {# Newsletter #}
                <div class="brick">
                  {% include 'templates/inc/_newsletter.twig' ignore missing with {
                    'region': options.newsletter.region,
                    'portalId': options.newsletter.portal_id,
                    'formId': options.newsletter.form_id
                  } only %}
                {# Newsletter ./end #}
                </div>
              </div>
            </div>
          {# If 'Materials and Applications' section #}
          {% elseif loop.index0 == 1 %}
            <div class="quote-block">
              <div class="quote__icon quote__icon--block">
                {% include 'templates/inc/icons/_icons.quote-right.twig' ignore missing %}
              </div>
              <div class="quote-block__body">
                <blockquote class="quote-block__content">
                  <h4 class="quote-block__quote">{{ category.meta.body.quote }}</h4>
                  <p class="quote__author">&ndash; {{ category.meta.body.author }}</p>
                </blockquote>
                <div class="quote__img">
                  <img src="{{ category.meta.body.image.url|resize(176, 176) }}" alt="{{ category.meta.body.image.alt }}" class="img-responsive">
                </div>
              </div>
              <footer class="quote-block__footer">
                <div>
                  <a href="{{ category.meta.body.cta.url }}" class="btn btn--primary btn--sm">{{ category.meta.body.cta.title}}</a>
                  <small>{{ category.meta.body.content }}</small>
                </div>
              </footer>
            </div>
          {% endif %}

          {# See all #}
          <footer class="section__footer">
            <a href="{{ category.url }}">{{ options.blog.show_all }} {{ category.name }} {% include 'templates/inc/icons/_icons.chevron-right.twig' ignore missing %}</a>
          </footer>
          {# See all ./end #}
        </div>
      </section>
    {% endfor %}
  </div>
  {# List categories and posts ./end #}
</main>

{% endblock %}
